Package Details: virtualbox51-guest-utils-nox 5.1.38-1

Git Clone URL: https://aur.archlinux.org/virtualbox51.git (read-only)
Package Base: virtualbox51
Description: VirtualBox Guest userspace utilities without X support
Upstream URL: http://virtualbox.org
Licenses: GPL, custom
Conflicts: virtualbox-guest-utils, virtualbox51-guest-utils
Submitter: rdnvndr
Maintainer: rdnvndr
Last Packager: rdnvndr
Votes: 0
Popularity: 0.000000
First Submitted: 2018-01-17 17:27
Last Updated: 2018-07-14 15:08

Dependencies (40)

Required by (0)

Sources (20)

Latest Comments

rdnvndr commented on 2018-07-14 15:13

@kragol, thanks for the report. Updated the package to version 5.1.38.

kragol commented on 2018-07-12 15:59

I get compilation errors when trying to build the package. It looks like this could be a incompatibility with the current QT version (5.11.1).

First, I get a few occurences of this error (all within the same UIGlobalSettingsProxy.cpp file):

/home/[REDACTED]/.cache/pacaur/virtualbox51/src/VirtualBox-5.1.36/src/VBox/Frontends/VirtualBox/src/settings/global/UIGlobalSettingsProxy.cpp:40:55: error: invalid use of incomplete type ‘class QButtonGroup’
     QButtonGroup *pButtonGroup = new QButtonGroup(this);
                                                       ^
In file included from /usr/include/qt/QtWidgets/qradiobutton.h:44,
                 from /usr/include/qt/QtWidgets/QRadioButton:1,
                 from /home/[REDACTED]/.cache/pacaur/virtualbox51/src/VirtualBox-5.1.36/out/linux.amd64/release/obj/VirtualBox/qtuic/UIGlobalSettingsProxy.gen.h:33,
                 from /home/[REDACTED]/.cache/pacaur/virtualbox51/src/VirtualBox-5.1.36/src/VBox/Frontends/VirtualBox/src/settings/global/UIGlobalSettingsProxy.h:24,
                 from /home/[REDACTED]/.cache/pacaur/virtualbox51/src/VirtualBox-5.1.36/src/VBox/Frontends/VirtualBox/src/settings/global/UIGlobalSettingsProxy.cpp:27:
/usr/include/qt/QtWidgets/qabstractbutton.h:53:7: note: forward declaration of ‘class QButtonGroup’
 class QButtonGroup;
       ^~~~~~~~~~~~

And then this one:

/home/[REDACTED]/.cache/pacaur/virtualbox51/src/VirtualBox-5.1.36/src/VBox/Frontends/VirtualBox/src/settings/global/UIGlobalSettingsProxy.cpp:49:97: error: no matching function for call to ‘UIGlobalSettingsProxy::connect(QButtonGroup*&, const char [33], UIGlobalSettingsProxy*, const char [19])’
     connect(pButtonGroup, SIGNAL(buttonClicked(QAbstractButton*)), this, SLOT(sltProxyToggled()));
                                                                                                 ^
In file included from /usr/include/qt/QtGui/qvalidator.h:45,
                 from /usr/include/qt/QtGui/QRegExpValidator:1,
                 from /home/[REDACTED]/.cache/pacaur/virtualbox51/src/VirtualBox-5.1.36/src/VBox/Frontends/VirtualBox/src/settings/global/UIGlobalSettingsProxy.cpp:23:

Has anyone else experienced the same issue ?

Context: I am trying to install this version because I'm experiencing weird issues with the 5.2 in the main repos (virtual hdd disconnecting randomly after less than a minute).

rdnvndr commented on 2018-04-27 19:45

@meshy I can't repeat the error. I think problem is your settings of system. Sorry couldn't help.

meshy commented on 2018-04-24 18:31

Thanks for the quick response, rdnvndr.

When I run pacman -Qs virtualbox, I get no output at all.

Pacman exits with code 1. Running the same command against an installed package shows output.

rdnvndr commented on 2018-04-24 17:54

Please show the output of the command:

pacman -Qs virtualbox

meshy commented on 2018-04-24 10:23

I do not have the virtualbox package installed, but installation fails with the message:

error: failed to prepare transaction (conflicting dependencies)
:: virtualbox51 and virtualbox are in conflict